DEBSUMS(1)

NOME
debsums - verifica os sumários MD5 de pacotes Debian instalados

SINOPSE
debsums [opções] [pacote|deb] ...

DESCRIÇÃO
Verifica ficheiros de pacotes Debian instalados contra listas de sumários de verificação MD5 de /var/lib/dpkg/info/*.md5sums.

O debsums pode gerar listas de sumários de verificação a partir de arquivos deb para pacotes que não os incluam.

OPÇÕES

-a, --all
    Também verifica os ficheiros de configuração (normalmente excluídos).

-e, --config
    Apenas verifica os ficheiros de configuração.

-c, --changed
    Reporta uma lista dos ficheiros alterados para o stdout (implica -s).

-l, --list-missing
    Lista pacotes (ou debs) que não têm um ficheiro se sumários MD5.

-s, --silent
    Apenas reporta erros.

-m, --md5sums=ficheiro
    Lê lista de sumários de verificação de deb a partir de ficheiro.

-r, --root=directório
    Directório raiz para verificar (predefinição /).

-d, --admindir=directório
    Directório administrativo do dpkg (predefinição /var/lib/dpkg).

-p, --deb-path=directório[:directório...]
    Directórios onde procurar por debs derivados do nome do pacote (a predefinição é o directório actual).

    Um valor útil é /var/cache/apt/archives quando se usa apt-get autoclean ou não se limpa a cache. O comando:

        apt-get --reinstall -d install `debsums -l`

    pode ser usado para povoar a cache com quaisquer debs que não estejam já na cache.

    Nota: Isto não funciona para CD-ROM e outras fontes locais porque os pacotes não são copiados para /var/cache. Fontes de ficheiros simples (todos os debs num único directório) devem ser adicionadas à lista -p.

-g, --generate=[missing|all][,nocheck]
    Gera sumários MD5 a partir de conteúdos deb. Se o argumento for um nome de pacote em vez de um arquivo deb, o programa irá procurar um deb chamado pacote_versão_arquitectura.deb nos directórios fornecidos pela opção -p.

    missing
        Gera sumários MD5 a partir do deb para pacotes que não disponibilizam um.

    all Ignora os sumários no disco e usa aquele fornecido no deb, ou gerado a partir dele se não existir nenhum.

    nocheck
        Os sumários extraídos/gerados não são verificados contra o pacote instalado.

    Para compatibilidade com versões anteriores, a opção curta -g é equivalente a --generate=missing.

--no-locale-purge
    Reporta ficheiros de localização em falta mesmo que o localepurge esteja configurado.

--no-prelink
    Reporta ficheiros ELF alterados mesmo que o prelink esteja configurado.

--ignore-permissions
    Trata erros de permissão como avisos quando corre como não-root.

--ignore-obsolete
    Ignora ficheiros de configuração obsoletos.

--help
--version
    Escreve a ajuda e informação da versão.

ESTADO DE SAÍDA
debsums retorna 0 em sucesso, ou uma combinação* dos seguintes valores em erro:

1   Um pacote especificado ou nome de arquivo não foi instalado, é inválido ou a versão instalada na corresponde ao arquivo fornecido.

2   Ficheiros do pacote alterados ou em falta, ou não correspondência do sumário de verificação de um arquivo.

255 Opção inválida.

*Se ambas as duas primeiras condições forem verdadeiras, o estado de saída será 3.

EXEMPLOS

debsums foo bar
    Verifica os sumários dos pacotes instalados foo e bar.

debsums foo.deb bar.deb
    Como em cima, a usar sumários de verificação (ou gerados a partir) dos arquivos.

debsums -l
    Lista pacotes instalados sem sumários de verificação.

debsums -ca
    Lista ficheiros de pacotes alterados para todos os pacotes instalados com sumários de verificação.

debsums -ce
    Lista ficheiros de configuração alterados.

debsums -cagp /var/cache/apt/archives
    Como em cima, a usar sumários de debs em cache onde disponíveis.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Reinstala pacotes com ficheiros alterados.

RESULTADOS

OK  O sumário MD5 do ficheiro é bom.

FALHADO
    O sumário MD5 do ficheiro não corresponde.

SUBSTITUÍDO
    O ficheiro foi substituído por outro ficheiro de um pacote diferente.

VEJA TAMBÉM
md5sum(1),

AMBIENTE

TMPDIR
    Directório para extrair informação e conteúdos dos arquivos de pacotes (/tmp por predefinição).

ADVERTÊNCIAS
Em geral o programa pode ser executado como utilizador normal, mas alguns pacotes contêm ficheiros que não são legíveis globalmente e por isso não podem ser verificados. É claro que também são necessários privilégios quando se gera sumários como a opção keep definida.

Os ficheiros que tenham sido substituídos por outro pacote podem erradamente ser reportados como alterados.

O debsums destina-se principalmente a ser uma maneira de determinar que ficheiros instalados foram modificados localmente pelo administrador ou danificados por erros de media e é de utilização limitada como ferramenta de segurança.

Se você está à procura de um verificador de integridade que possa correr a partir de media segura, faça verificações de integridade em bases de dados de sumários de verificação e que possa ser facilmente configurado para correr periodicamente para avisar o administrador de alterações, veja outras ferramentas como: aide, integrit, samhain, ou tripwire.

AUTOR
Escrito por Brendan O'Dea <bod@debian.org>.
Baseado num programa de Christoph Lameter <clameter@debian.org> e Petr Cech <cech@debian.org>.

COPYRIGHT
Copyright © 2002 Brendan O'Dea <bod@debian.org>
This is free software, licensed under the terms of the GNU General Public License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.